ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Types.Rank

# Documentation

data Rank Source #

Constructors

ArbitraryRank |
LimitedRank Bool Rank |
MonoTypeRankZero |
MonoTypeTyConArg |
MonoTypeSynArg |
MonoTypeConstraint |
MustBeMonoType |

#### Instances

Instances details

Outputable Rank Source # |
Instance details Defined in GHC.Tc.Types.Rank Methods ppr :: Rank -> SDoc Source #